<!doctype html>
<html lang="en">
<head>
	<meta charset="utf-8">
</head>

<body>
	<script>
		window.onload = function() {
			document.getElementById("firstmenu").addEventListener('change',
					function(e) {
						ha(e, 'firstmenu', 'secondmenu');
					}, false);
		};

		function getYear2() {
			var date = new Date().getFullYear(), sel = document
					.getElementById('select'), prop = 'textContent' in document
					.createElement() ? 'textContent' : 'innerText', opt;

			for (var i = 0, len = 16; i < len; i++) {
				opt = document.createElement('option');
				opt.value = date + i;
				opt[prop] = date + i;
				sel.appendChild(opt);
			}
			return;
		}

		function ha(e, first, second) {
			var firstOptions = document.getElementById(first).options;
			var secondOptions = document.getElementById(second).options;
			for (var i = 1, j = firstOptions.length; i < j; i++) {
				secondOptions[i].value = firstOptions[i].value;
				secondOptions[i].text = firstOptions[i].text;
			}
		};
	</script>

	<select id="select"></select>

	<select id="firstmenu" name="City">
		<option value="--">--</option>
		<option value="NY">NY</option>
		<option value="LA">LA</option>
	</select>
	<br />
	<select id="secondmenu" name="zipCode">
		<option value="--">--</option>
		<option value="10001">10001(NY)</option>
		<option value="90001">90001(LA)</option>
	</select>
</body>
</html>